<?php

defined('_JEXEC') or die();

jimport('joomla.application.component.model');

class GetMailingModelEmailSucesso extends JModel {

    /**
     * Captura o texto do email de sucesso que está no BD, para ser adicionado ao formulário de edição do mesmo
     * @return void
     */
    function &getSucesso() {

        $db =& JFactory::getDBO();

        $this->_texto = null;

        $query = "SELECT params FROM #__components WHERE admin_menu_link = 'option=com_getmailing&task=texto_email_sucesso&controller=getmailing'";

        $db->setQuery($query);

        $this->_texto = $db->loadResult();

        if($db->getErrorNum()) {

            echo $db->stderr();

            return false;

        }

        return $this->_texto;

    }


    /**
     * Salva o texto do email de sucesso no BD
     * @return boolean
     */
    function salvaEmailSucesso() {

        $retorno = true;

        $textoSucesso =  JRequest::getVar('texto_email_sucesso', '', 'post', 'string', JREQUEST_ALLOWRAW);

        $db =& JFactory::getDBO();

        $query = "UPDATE #__components SET params = '$textoSucesso' WHERE admin_menu_link = 'option=com_getmailing&task=texto_email_sucesso&controller=getmailing'";

        $db->setQuery($query);

        if(!$db->query()) {

            $retorno = false;

        }

        return $retorno;

    }

}

?>