<?php

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

JHTML::_('stylesheet', 'getmailing.css', 'administrator/components/com_getmailing/assets/css/');

class GetMailingViewGetMailing extends JView {

    /**
     * GetMailingViewGetMailing view display method
     * @return void
     **/
    
    function display($tpl = null) {

        global $mainframe, $option;
       
        JToolBarHelper::title(JText::_('TITULO_LISTAR_REGISTROS'), 'icone_titulo');

        JToolBarHelper::publishList();
        JToolBarHelper::unpublishList();
        JToolBarHelper::editList();
        JToolBarHelper::deleteList();
        JToolBarHelper::addNew();
        JToolBarHelper::preferences('com_getmailing', $height='150', $width='500');

        // Pegando os dados da Model
        $itens = & $this->get('Data');
        $total = & $this->get('Total');
        $pagination = & $this->get('Pagination');

        $filter_state = $mainframe->getUserStateFromRequest($option.'filter_state', 'filter_state', '', 'word');
        $filter_order = $mainframe->getUserStateFromRequest($option.'filter_order', 'filter_order', 'a.id', 'cmd');
        $filter_order_Dir = $mainframe->getUserStateFromRequest($option.'filter_order_Dir', 'filter_order_Dir', '', 'word');

        $search	= $mainframe->getUserStateFromRequest($option.'search', 'search', '', 'string');
        $search	= JString::strtolower($search);

        // state filter
        $lists['state']	= JHTML::_('grid.state',  $filter_state);

        // table ordering
        $lists['order_Dir'] = $filter_order_Dir;
        $lists['order'] = $filter_order;

        // search filter
        $lists['search']= $search;

        $this->assignRef('itens', $itens);
        $this->assignRef('lists', $lists);

        $this->assignRef('pagination', $pagination);

        $this->assignRef('total', $total);

        parent::display($tpl);

    }

}

?>