//Javascript

jQuery.noConflict();

jQuery(document).ready(function(){	

								

	manipulaAbas();								

						

	//Quando clicar no boto de Cadastrar, chama a function enviarCadastro, passando nome e email informados

    jQuery("#btn_enviar_cadastro").click(function(){

        enviarCadastro(jQuery("#nome_getmailing").val(), jQuery("#email_getmailing").val());

    });

	

	//Quando clicar no boto de Remover, chama a function removerCadastro, passando o email informado

	jQuery("#btn_remover_cadastro").click(function(){

        removerCadastro(jQuery("#email_getmailing_remover").val());

    });

	

});



/*

Function responsvel por validar o cadastro de usurio, onde se Nome e E-mail forem vlidos, d o Submit no Form.

Chamando a funo em PHP responsvel por validar o cadastro do lado Servidor, cadastrar de modo Inativo, e enviar um email de confirmao para o email informado

*/

function enviarCadastro(nome, email){



	if (nome == ""){

        alert("Informe seu NOME por favor!");

        jQuery("#nome_getmailing").focus();

        return;

    }

	if (email == ""){

        alert("Informe seu E-MAIL por favor!");

        jQuery("#email_getmailing").focus();

        return;

    }

    if (email.indexOf('@') < 0 || email.indexOf('.') < 0){

        alert("Informe um E-MAIL VALIDO por favor!");

        jQuery("#email_getmailing").focus();

        return;

    }

		

	jQuery('#loading_getmailing_cadastro').show();

	document.frm_cadastrar_getmailing.submit();

}



/*

Function responsvel por validar a remoo do usurio, caso o E-mail seja vlido, d o Submit no Form

Chamando a funo em PHP responsvel por verificar se existe algum usurio com o e-mail informado, e caso sim, envia um email de confirmao de remoo de cadastro para o email informado

*/

function removerCadastro(email){



	if (email == ""){

        alert("Informe seu E-MAIL por favor!");

        jQuery("#email_getmailing_remover").focus();

        return;

    }

    if (email.indexOf('@') < 0 || email.indexOf('.') < 0){

        alert("Informe um E-MAIL VALIDO por favor!");

        jQuery("#email_getmailing_remover").focus();

        return;

    }

		

	jQuery('#loading_getmailing_remover').show();

	document.frm_remover_getmailing.submit();

}





function manipulaAbas(){	

									

	jQuery('#remover_getmailing').hide();	



	jQuery("#aba_cadastrar").css('background-color', '#fff');



	jQuery("#aba_cadastrar").click(function(){

        ativarAba('cadastrar_getmailing', 'aba_cadastrar', 'aba_remover');

    });

	

	jQuery("#aba_remover").click(function(){

        ativarAba('remover_getmailing', 'aba_remover', 'aba_cadastrar');

    });

}



function ativarAba(abaAtiva, linkAbaAtiva, linkAbaOculta){	

	

	jQuery("#" + linkAbaAtiva).css('background-color', '#fff');

	jQuery("#" + linkAbaOculta).css('background-color', '#e2e2e2');

	

	jQuery(".aba_getmailing").hide();

	jQuery("#" + abaAtiva).fadeIn();

	

}